Page MenuHomePhabricator

<q>: Remove italic style for IE7 and below
Closed, ResolvedPublic

Description

The mediawiki.skinning.interface styles <q> as italic for IE7 and below:

	/* IE 6 and 7 lack support for quotes aroud the <q> element ('::before' and '::after'
	   pseudoelements, 'quotes' property). Let's italicize it instead (using the star hack). */
	q {
		*font-style: italic;
	}

This wasn't an issue until a year ago when <q> was actually whitelisted and began to be used. Italic is simply the wrong style for quoted content. There is no way to add quote marks, so plain style is the best here.

Event Timeline

Gadget850 raised the priority of this task from to Needs Triage.
Gadget850 updated the task description. (Show Details)
Gadget850 added a project: MediaWiki-Interface.
Gadget850 added a subscriber: Gadget850.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 15 2015, 1:01 PM
Ciencia_Al_Poder set Security to None.
gerritbot added a subscriber: gerritbot.

Change 190718 had a related patch set uploaded (by Polybuildr):
mediawiki.skinning: Remove italics from q tag for IE7 and below

https://gerrit.wikimedia.org/r/190718

Patch-For-Review

This was introduced in its current form per T57591, in 0da93e357827aef8ec2d20cba6bae80274ae4851.

Aklapper triaged this task as Low priority.Feb 16 2015, 11:45 AM

Change 190718 merged by jenkins-bot:
mediawiki.skinning: Remove italics from q tag for IE7 and below

https://gerrit.wikimedia.org/r/190718

matmarex closed this task as Resolved.Feb 19 2015, 8:43 PM